php71-php-pecl-amqp-1.9.0-0.1.beta1.el7.remi.x86_64.rpm


Advertisement

Description

php71-php-pecl-amqp - Communicate with any AMQP compliant server

Property Value
Distribution CentOS 7
Repository Les RPM de Remi Testing x86_64
Package filename php71-php-pecl-amqp-1.9.0-0.1.beta1.el7.remi.x86_64.rpm
Package name php71-php-pecl-amqp
Package version 1.9.0
Package release 0.1.beta1.el7.remi
Package architecture x86_64
Package type rpm
Category Development/Languages
Homepage http://pecl.php.net/package/amqp
License PHP
Maintainer -
Download size 75.06 KB
Installed size 254.64 KB
This extension can communicate with any AMQP spec 0-9-1 compatible server,
such as RabbitMQ, OpenAMQP and Qpid, giving you the ability to create and
delete exchanges and queues, as well as publish to any exchange and consume
from any queue.
Package built for PHP 7.1 as Software Collection (php71 by remi).

Alternatives

Package Version Architecture Repository
php71-php-pecl-amqp-1.9.4-6.el7.remi.x86_64.rpm 1.9.4 x86_64 Les RPM de Remi
php71-php-pecl-amqp-1.9.3-2.el7.remi.x86_64.rpm 1.9.3 x86_64 Les RPM de Remi
php71-php-pecl-amqp-1.9.0-0.2.beta2.el7.remi.x86_64.rpm 1.9.0 x86_64 Les RPM de Remi Testing
php71-php-pecl-amqp - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -
librabbitmq-last(x86-64) >= 0.8.0
librabbitmq.so.4()(64bit) -
php71-php(api) = 20160303-64
php71-php(zend-abi) = 20160303-64
php71-runtime -
php71-runtime(remi)(x86-64) -
rtld(GNU_HASH) -

Provides

Name Value
config(php71-php-pecl-amqp) = 1.9.0-0.1.beta1.el7.remi
php71-php-amqp = 1.9.0
php71-php-amqp(x86-64) = 1.9.0
php71-php-pecl(amqp) = 1.9.0
php71-php-pecl(amqp)(x86-64) = 1.9.0
php71-php-pecl-amqp = 1.9.0-0.1.beta1.el7.remi
php71-php-pecl-amqp(x86-64) = 1.9.0-0.1.beta1.el7.remi
scl-package(php71) -

Download

Type URL
Mirror rpms.remirepo.net
Binary Package php71-php-pecl-amqp-1.9.0-0.1.beta1.el7.remi.x86_64.rpm
Source Package php71-php-pecl-amqp-1.9.0-0.1.beta1.el7.remi.src.rpm

Install Howto

  1. Download latest remi-release rpm from
    http://rpms.remirepo.net/enterprise/7/remi/x86_64/
  2. Install remi-release rpm:
    # rpm -Uvh remi-release*rpm
  3. Install php71-php-pecl-amqp rpm package:
    # yum --enablerepo=remi-test install php71-php-pecl-amqp

Files

Path
/etc/opt/remi/php71/php.d/40-amqp.ini
/opt/remi/php71/root/usr/lib64/php/modules/amqp.so
/opt/remi/php71/root/usr/share/doc/pecl/amqp/CREDITS
/opt/remi/php71/root/usr/share/doc/pecl/amqp/benchmark.php
/opt/remi/php71/root/usr/share/doc/pecl/amqp/stubs/AMQP.php
/opt/remi/php71/root/usr/share/doc/pecl/amqp/stubs/AMQPBasicProperties.php
/opt/remi/php71/root/usr/share/doc/pecl/amqp/stubs/AMQPChannel.php
/opt/remi/php71/root/usr/share/doc/pecl/amqp/stubs/AMQPChannelException.php
/opt/remi/php71/root/usr/share/doc/pecl/amqp/stubs/AMQPConnection.php
/opt/remi/php71/root/usr/share/doc/pecl/amqp/stubs/AMQPConnectionException.php
/opt/remi/php71/root/usr/share/doc/pecl/amqp/stubs/AMQPDecimal.php
/opt/remi/php71/root/usr/share/doc/pecl/amqp/stubs/AMQPEnvelope.php
/opt/remi/php71/root/usr/share/doc/pecl/amqp/stubs/AMQPException.php
/opt/remi/php71/root/usr/share/doc/pecl/amqp/stubs/AMQPExchange.php
/opt/remi/php71/root/usr/share/doc/pecl/amqp/stubs/AMQPExchangeException.php
/opt/remi/php71/root/usr/share/doc/pecl/amqp/stubs/AMQPQueue.php
/opt/remi/php71/root/usr/share/doc/pecl/amqp/stubs/AMQPQueueException.php
/opt/remi/php71/root/usr/share/doc/pecl/amqp/stubs/AMQPTimestamp.php
/opt/remi/php71/root/usr/share/doc/pecl/amqp/stubs/AMQPValueException.php
/opt/remi/php71/root/usr/share/licenses/php71-php-pecl-amqp-1.9.0/LICENSE
/var/opt/remi/php71/lib/pear/pkgxml/php71-php-pecl-amqp.xml

Changelog

2017-03-13 - Remi Collet <remi@remirepo.net> - 1.9.0-0.1.beta1
- Update to 1.9.0beta1
- add patch from https://github.com/pdezwart/php-amqp/pull/274
2017-02-19 - Remi Collet <remi@remirepo.net> - 1.8.0-2
- ensure proper librabbitmq version is used
2017-02-17 - Remi Collet <remi@remirepo.net> - 1.8.0-1
- update to 1.8.0 (stable)

See Also

Package Description
php71-php-pecl-apcu-5.1.7-0.1.20161018gitb771cd5.el7.remi.x86_64.rpm APC User Cache
php71-php-pecl-apcu-devel-5.1.7-0.1.20161018gitb771cd5.el7.remi.x86_64.rpm APCu developer files (header)
php71-php-pecl-event-2.4.0~RC2-1.el7.remi.x86_64.rpm Provides interface to libevent library
php71-php-pecl-event-2.4.0~RC3-1.el7.remi.x86_64.rpm Provides interface to libevent library
php71-php-pecl-grpc-1.26.0~RC1-1.el7.remi.x86_64.rpm General RPC framework
php71-php-pecl-grpc-1.27.0~RC1-1.el7.remi.x86_64.rpm General RPC framework
php71-php-pecl-http-3.1.1~RC1-1.el7.remi.x86_64.rpm Extended HTTP support
php71-php-pecl-http-3.2.0~RC1-1.el7.remi.x86_64.rpm Extended HTTP support
php71-php-pecl-http-devel-3.1.1~RC1-1.el7.remi.x86_64.rpm Extended HTTP support developer files (header)
php71-php-pecl-http-devel-3.2.0~RC1-1.el7.remi.x86_64.rpm Extended HTTP support developer files (header)
php71-php-pecl-igbinary-3.1.0~b4-1.el7.remi.x86_64.rpm Replacement for the standard PHP serializer
php71-php-pecl-igbinary-3.1.1~a1-1.el7.remi.x86_64.rpm Replacement for the standard PHP serializer
php71-php-pecl-igbinary-devel-3.1.0~b4-1.el7.remi.x86_64.rpm Igbinary developer files (header)
php71-php-pecl-igbinary-devel-3.1.1~a1-1.el7.remi.x86_64.rpm Igbinary developer files (header)
php71-php-pecl-imagick-3.4.4~RC1-1.el7.remi.x86_64.rpm Extension to create and modify images using ImageMagick
Advertisement
Advertisement